For the complete documentation index, see llms.txt. This page is also available as Markdown.

Resource Group

List

get

Retrieve a list of Azure Virtual Desktop Resource Groups.

Path parameters
providerIdinteger · int32Required

The Provider ID for which to retrieve the list of Azure Virtual Desktop Resource Groups.

Query parameters
siteIdinteger · int32Optional

The Site ID for which to retrieve the list of Azure Virtual Desktop Resource Groups (optional).

Responses
200

Success

application/json; api-version=1.0

AVD Resource Group

namestring · nullableOptional

Name

locationstring · nullableOptional

Location

azureIdstring · nullableOptional

Azure Id

get/api/AVD/ResourceGroup/{providerId}
GET /api/AVD/ResourceGroup/{providerId} HTTP/1.1
Accept: */*
[
  {
    "name": "text",
    "location": "text",
    "azureId": "text"
  }
]

Create

post

Creates a new Azure Virtual Desktop Resource Group.

Body
providerIdinteger · int32Required

Provider ID from which to save the Azure Virtual Desktop Resource Group information.

namestring · nullableRequired

The Name of the Azure Virtual Desktop Resource Group.

locationstring · nullableRequired

The Location Name of the Azure Virtual Desktop Resource Group.

Responses
204

No Content

No content

post/api/AVD/ResourceGroup
POST /api/AVD/ResourceGroup HTTP/1.1
Content-Type: application/json; api-version=1.0
Accept: */*
Content-Length: 48

{
  "providerId": 1,
  "name": "text",
  "location": "text"
}

No content